
/*======================================================================*\
|| #################################################################### ||
|| # Invite Add-on  2.1.2
|| # Build: 46
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2012 Daniel Fatkic aka ragtek. All Rights Reserved.   # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # http://www.ragtek.org                                            # ||
|| #################################################################### ||
\*======================================================================*/


!function ($, window, document, _undefined) {
    XenForo.ManageInvites = function ($form) {
        var $username = $form.find('input[name="username"]'),
                $invites = $form.find('input[name="invites"]');
        var $invitesCalled = false;

        $username.focus(function (e) {
            if ($invites.val().length > 3) {
                $invites.click();
            }
        });


        $invites.click(function (e) {
                    if ($invitesCalled === false) {
                        e.preventDefault();
                        // TODO phrase
                        $invites.val("loading invites........");

                        XenForo.ajax
                                (
                                        'admin.php?invites/getName',
                                        $form.serializeArray(),
                                        function (ajaxData, textStatus) {
                                            if (!$invitesCalled && ajaxData && XenForo.hasTemplateHtml(ajaxData, 'ragtek_free_invites')) {
                                                $invitesCalled = true;
                                                $invitesCounter = ajaxData.ragtek_free_invites.toString();
                                                $invites.val($invitesCounter);
                                                $form.reset;
                                            }
                                            else if (!$invitesCalled && ajaxData && XenForo.hasTemplateHtml(ajaxData, 'error')) {

                                            }
                                        }
                                );
                    }
                }
        );


        $form.submit(function (e) {
            e.preventDefault();

            XenForo.ajax
                    (
                            $form.attr('action'),
                            $form.serializeArray(),
                            function (ajaxData, textStatus) {

                                if (ajaxData._redirectStatus && ajaxData._redirectStatus == 'ok') {
                                    $invitesCalled = false;
                                    $username.val("username");
                                    $invites.val("set new invite value");
                                }
                            }
                    );
        });
    };
    XenForo.register('form.ragtek_invite', 'XenForo.ManageInvites');

}
(jQuery, this, document);