<?php
/*======================================================================*\
|| #################################################################### ||
|| # Invite Add-on  2.1.2
|| # Build: 46
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2012 Daniel Fatkic aka ragtek. All Rights Reserved.   # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # http://www.ragtek.org                                            # ||
|| #################################################################### ||
\*======================================================================*/





    class Ragtek_Invite_ControllerPublic_Register extends
        XFCP_Ragtek_Invite_ControllerPublic_Register
        #XenForo_ControllerPublic_Register
    {
        public function actionRegister()
        {
            $return = parent::actionRegister();
            if (isset($return->params['user'])) {
                $user = $return->params['user'];
                $referrerId = XenForo_Helper_Cookie::getCookie(Ragtek_Invite_Model_Invite::REFERRER_COOKIENAME);
                if ($referrerId) {
                    $this->getModelFromCache('Ragtek_Invite_Model_Invite')->setReferrer($user['user_id'], $referrerId);
                }
            }

            return $return;
        }

        protected function _assertRegistrationActive()
        {

            // TODO we have to change this, ATM i'm not happy with it.
            // maybe manipulate direct the xenforo option
            $onlyInviteRegistration = XenForo_Application::get('options')->ragtek_invite_onlyInviteRegistration;


            /** @var $inviteModel Ragtek_Invite_Model_Invite */
            $inviteModel = $this->getModelFromCache('Ragtek_Invite_Model_Invite');
            $inviteCode = $this->_input->filterSingle('c', XenForo_Input::STRING);

            $valid = $inviteModel->verifyInviteCode($inviteCode);
            // BUGFIX
            if ((($onlyInviteRegistration == 1) AND !$valid)
                OR
                (!XenForo_Application::get('options')->get('registrationSetup', 'enabled'))
            ) {
                throw $this->responseException($this->responseError(
                                                   new XenForo_Phrase('new_registrations_currently_not_being_accepted')
                                               ));
            }


            $referrerUserId = $this->_input->filterSingle('ref', XenForo_Input::UINT);

            if ($referrerUserId) {
                $inviteModel->setReferrerCookie($referrerUserId);
            }
        }
    }