<?php
/*======================================================================*\
|| #################################################################### ||
|| # Invite Add-on  2.1.2
|| # Build: 46
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2012 Daniel Fatkic aka ragtek. All Rights Reserved.   # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # http://www.ragtek.org                                            # ||
|| #################################################################### ||
\*======================================================================*/


class Ragtek_Invite_ControllerAdmin_User extends
   XFCP_Ragtek_Invite_ControllerAdmin_User
  #  XenForo_ControllerAdmin_User
{
    public function actionSave()
    {
        $return = parent::actionSave();
        $userId = $this->_input->filterSingle('user_id', XenForo_Input::UINT);

        if (Ragtek_Invite_Helper::canAdmin() AND $userId != 0) {
            $this->_assertPostOnly();

            if ($userId) {
                $user = $this->_getUserOrError($userId);
                $this->getHelper('Admin')->checkSuperAdminEdit($user);
            }

            $newInvites = $this->_input->filterSingle('ragtek_free_invites', XenForo_Input::UINT);

            /** @var $inviteModel Ragtek_Invite_Model_Invite */
            $inviteModel = $this->getModelFromCache('Ragtek_Invite_Model_Invite');
            $inviteModel->setUserInvites($userId, $newInvites);
        }
        return $this->responseRedirect(
            XenForo_ControllerResponse_Redirect::SUCCESS,
            XenForo_Link::buildAdminLink('users/search', null, array('last_user_id' => $userId)) . $this->getLastHash($userId)
        );
    }
}