<?php
/*======================================================================*\
|| #################################################################### ||
|| # Invite Add-on  2.1.2
|| # Build: 46
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2012 Daniel Fatkic aka ragtek. All Rights Reserved.   # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # http://www.ragtek.org                                            # ||
|| #################################################################### ||
\*======================================================================*/


    class Ragtek_Invite_ControllerPublic_Member extends
        XFCP_Ragtek_Invite_ControllerPublic_Member
    {
        public function actionMember()
        {
            /** @var $parentView XenForo_ControllerResponse_View */
            $parentView = parent::actionMember();
            if ($parentView instanceof XenForo_ControllerResponse_View
                    AND
                    Ragtek_Invite_Helper::perm('ragtek_InviteCanSeeTab')
            ) {
                $currentUser = $parentView->params['user']['user_id'];
                $inviteModel = $this->getModelFromCache('Ragtek_Invite_Model_Invite');
                $users = $inviteModel->getInvitedUsers($currentUser, true);

                $parentView->params += array(
                    'invitedUsers' => $users,
                    'invitedCounter' => $inviteModel->countInvitedUsers($currentUser));
            }
            return $parentView;
        }
    }