<?php
/*======================================================================*\
|| #################################################################### ||
|| # Invite Add-on  2.1.2
|| # Build: 46
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2012 Daniel Fatkic aka ragtek. All Rights Reserved.   # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # http://www.ragtek.org                                            # ||
|| #################################################################### ||
\*======================================================================*/


    class Ragtek_Invite_Cron
    {

        /**
         * delete outdated invite codes
         * @static
         * @return void
         */
        public static function cleanUp()
        {
            $options = XenForo_Application::get('options');
            if ($options->ragtek_invite_runCron) {
                $days = $options->ragtek_invite_validdays;
                $timestamp = XenForo_Application::$time - ($days * 86000);
                $db = XenForo_Application::getDb();
                $db->delete('ragtek_invite', 'date < ' . $timestamp);
                // TODO we should add the invites back to the user
            }
        }
    }